Bug 855022 - Augeas can't setup "require_ssl_reuse" option in vsftpd.conf
Summary: Augeas can't setup "require_ssl_reuse" option in vsftpd.conf
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: augeas   
(Show other bugs)
Version: 6.3
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Hugh Brock
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On: 817753
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-06 14:23 UTC by David Plachetka
Modified: 2013-11-21 04:50 UTC (History)
6 users (show)

Fixed In Version: augeas-1.0.0-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 04:50:48 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1537 normal SHIPPED_LIVE Low: augeas security, bug fix, and enhancement update 2013-11-21 01:11:37 UTC

Description David Plachetka 2012-09-06 14:23:05 UTC
Description of problem:
augeas is unable to setup "require_ssl_reuse" option in vsftpd.conf There's an upstream fix adding this option to vsftpd lens.

Version-Release number of selected component (if applicable):
augeas-0.9.0-4.el6

Comment 8 Can Zhang 2013-10-16 07:46:28 UTC
I reproduced the bug with augeas-0.9.0-2.el6:

augtool> set /files/etc/vsftpd/vsftpd.conf/require_ssl_reuse "YES"
augtool> save
error: Failed to execute command
error: saving failed (run 'print /augeas//error' for details)
augtool> print /augeas//error
/augeas/files/etc/xml/test2.xml/error = "parse_failed"
/augeas/files/etc/xml/test2.xml/error/pos = "1"
/augeas/files/etc/xml/test2.xml/error/line = "1"
/augeas/files/etc/xml/test2.xml/error/char = "1"
/augeas/files/etc/xml/test2.xml/error/lens = "/usr/share/augeas/lenses/dist/xml.aug:133.10-135.60:"
/augeas/files/etc/xml/test2.xml/error/message = "Syntax error"
/augeas/files/etc/xml/test.xml/error = "parse_failed"
/augeas/files/etc/xml/test.xml/error/pos = "38"
/augeas/files/etc/xml/test.xml/error/line = "1"
/augeas/files/etc/xml/test.xml/error/char = "38"
/augeas/files/etc/xml/test.xml/error/lens = "/usr/share/augeas/lenses/dist/xml.aug:133.10-135.60:"
/augeas/files/etc/xml/test.xml/error/message = "Syntax error"
/augeas/files/etc/vsftpd/vsftpd.conf/error = "put_failed"
/augeas/files/etc/vsftpd/vsftpd.conf/error/path = "/files/etc/vsftpd/vsftpd.conf"
/augeas/files/etc/vsftpd/vsftpd.conf/error/lens = "/usr/share/augeas/lenses/dist/vsftpd.aug:27.10-.61:"
/augeas/files/etc/vsftpd/vsftpd.conf/error/message = "Malformed child node 'require_ssl_reuse'"


And the commands work fine with augeas-1.0.0-5.el6:

augtool> set /files/etc/vsftpd/vsftpd.conf/require_ssl_reuse "YES"
augtool> save
Saved 1 file(s)
augtool> print /files/etc/vsftpd/vsftpd.conf/require_ssl_reuse
/files/etc/vsftpd/vsftpd.conf/require_ssl_reuse = "YES"

So the bug has been fixed.

Comment 10 errata-xmlrpc 2013-11-21 04:50:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1537.html


Note You need to log in before you can comment on or make changes to this bug.